const o = (r) => {
  const { color: t, spacing: e } = r;
  return {
    ".breadcrumb": {
      maxWidth: "100%",
      overflowX: "auto",
      display: "flex",
      alignItems: "center",
      justifyContent: "start"
    },
    ".breadcrumb > *": {
      display: "flex",
      alignItems: "center"
    },
    ".breadcrumb > * + *:before": {
      content: "''",
      transform: "rotate(45deg)",
      height: e(2),
      width: e(2),
      marginLeft: e(4),
      marginRight: e(4),
      display: "block",
      borderTop: "2px solid",
      borderRight: "2px solid",
      borderColor: t("content.secondary")
    }
  };
}, n = {
  getComponents: o
};
export {
  n as TailwindBreadcrumb
};
